Package org.drinkless.tdlib

# Class TdApi.GetBackgroundUrl

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.HttpUrl>
org.drinkless.tdlib.TdApi.GetBackgroundUrl

Enclosing class:
  `TdApi`

public static class TdApi.GetBackgroundUrl extends TdApi.Function<TdApi.HttpUrl>
Constructs a persistent HTTP URL for a background.

Returns `HttpUrl`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `name`
  Background name.
  `TdApi.BackgroundType`
  `type`
  Background type; backgroundTypeChatTheme isn't supported.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetBackgroundUrl()`
  Default constructor for a function, which constructs a persistent HTTP URL for a background.
  `GetBackgroundUrl(String name, TdApi.BackgroundType type)`
  Creates a function, which constructs a persistent HTTP URL for a background.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    Background name.

  - ### type

    public TdApi.BackgroundType type
    Background type; backgroundTypeChatTheme isn't supported.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetBackgroundUrl

    public GetBackgroundUrl()
    Default constructor for a function, which constructs a persistent HTTP URL for a background.

    Returns `HttpUrl`

  - ### GetBackgroundUrl

    public GetBackgroundUrl(String name, TdApi.BackgroundType type)
    Creates a function, which constructs a persistent HTTP URL for a background.

    Returns `HttpUrl`

    Parameters:
      `name` - Background name.
      `type` - Background type; backgroundTypeChatTheme isn't supported.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.HttpUrl>`
    Returns:
      this.CONSTRUCTOR